<!-- markdownlint-disable MD013 -->
# PHP 8.0

| Sniff category       | Sniff class name              | PHP Feature                                         |
|----------------------|-------------------------------|-----------------------------------------------------|
| Attributes           | AttributeSniff                | [Attributes][Attributes]                            |
| Classes              | PropertyPromotionSniff        | [Constructor property promotion][PropertyPromotion] |
| ControlStructures    | MatchSniff                    | [Match expressions][Match]                          |
| ControlStructures    | NonCapturingCatchSniff        | [Non-capturing catches][NonCapturingCatch]          |
| FunctionDeclarations | NamedArgumentDeclarationSniff | [Named arguments][NamedArgumentDeclaration]         |
| FunctionDeclarations | ParamTypeDeclarationSniff     | [Union types][UnionTypes]                           |
| FunctionDeclarations | TrailingCommaSniff            | [Trailing comma][TrailingComma]                     |
| Operators            | NullsafeOperatorSniff         | [Nullsafe operator][NullsafeOperator]               |

[Attributes]: https://www.php.net/releases/8.0/en.php#attributes
[PropertyPromotion]: https://www.php.net/releases/8.0/en.php#constructor-property-promotion
[Match]: https://www.php.net/releases/8.0/en.php#match-expression
[NonCapturingCatch]: https://wiki.php.net/rfc/non-capturing_catches
[NamedArgumentDeclaration]: https://www.php.net/releases/8.0/en.php#named-arguments
[UnionTypes]: https://www.php.net/releases/8.0/en.php#union-types
[TrailingComma]: https://php.watch/versions/8.0/trailing-comma-parameter-use-list
[NullsafeOperator]: https://www.php.net/releases/8.0/en.php#nullsafe-operator
