<!-- markdownlint-disable MD013 MD024 -->
# Changes CompatInfoDB 6.x

All notable changes of the CompatInfoDB 6 release series will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).

## 6.17.0 - 2025-05-04

May the 4th be with you ;-)

### Changed

- `psr/log` dependency moved from Composer `require-dev` to `require`. Reason is given by `composer why psr/log` command

## Fixed

- [#143](https://github.com/llaville/php-compatinfo-db/issues/143) : `symfony/framework-bundle` is necessary only for `debug:event-dispatcher` and `debug:container` commands

**Full Changelog**: [6.16.0...6.17.0](https://github.com/llaville/php-compatinfo-db/compare/6.16.0...6.17.0)

## 6.16.0 - 2025-04-14

> [!IMPORTANT]
>
> Re-foundation of CompatInfoDB with major version 7.0 take me much more time than expected.
> So I'll continue until it's ready to maintain branch 6.x compatible PHP 8.1

### Added

- PHP 8.1.32 support
- PHP 8.2.28 support
- PHP 8.3.17, 8.3.19, 8.3.20 support
- PHP 8.4.4, 8.4.5, 8.4.6 support

### Changed

- update `mongodb` reference to version 1.21.0 and 2.0.0
- update `opentelemetry` reference to version 1.1.2
- update `redis` reference to version 6.2.0
- update `solr` reference to version 2.8.0
- update `xdebug` reference to version 3.4.2
- update `xmldiff` reference to version 1.1.5
- update `zip` reference to version 1.22.5
- `recode` reference is marked as deprecated (extension not maintained)

**Full Changelog**: [6.15.0...6.16.0](https://github.com/llaville/php-compatinfo-db/compare/6.15.0...6.16.0)

## 6.15.0 - 2025-01-18

> [!IMPORTANT]
>
> This version is the last one to support PHP 8.1.
> Next one 7.0.0 will support only PHP 8.2 or greater !

### Added

- PHP 8.3.16 support
- PHP 8.4.3 support

**Full Changelog**: [6.14.0...6.15.0](https://github.com/llaville/php-compatinfo-db/compare/6.14.0...6.15.0)

## 6.14.0 - 2025-01-08

### Added

- Some native Doctrine commands to help developers to debug their environment/installation
- PHP 8.2.27 support
- PHP 8.3.15 support
- PHP 8.4.2 support

### Changed

- update `memcached` reference to version 3.3.0
- update `xdebug` reference to version 3.4.1
- Use [class constructor property promotion](https://php.watch/versions/8.0/constructor-property-promotion) PHP 8.0 syntax and [read only properties](https://php.watch/versions/8.1/readonly) PHP 8.1 syntax

### Removed

- config/bootstrap.php file; use direct autoload.php instead

### Fixed

- cannot use PHAR version with APP_ENV other than prod (default)
- missing magic constant `__PROPERTY__` introduced with PHP 8.4

**Full Changelog**: [6.13.2...6.14.0](https://github.com/llaville/php-compatinfo-db/compare/6.13.2...6.14.0)

## 6.13.2 - 2024-12-03

### Fixed

- [#142](https://github.com/llaville/php-compatinfo-db/issues/142) : `db:show` command do not display all elements available in the database

**Full Changelog**: [6.13.1...6.13.2](https://github.com/llaville/php-compatinfo-db/compare/6.13.1...6.13.2)

## 6.13.1 - 2024-11-30

### Changed

- update `mongodb` reference to version 1.20.1
- update `xmldiff` reference to version 1.1.4
- update `xdebug` reference to version 3.4.0

## Fixed

- Compatibility with PHP_CompatInfo 7.x with [commit c7144f0](https://github.com/llaville/php-compatinfo-db/commit/c7144f0c5bc4ac32544b72ae7c4c13f7e760b17b)

**Full Changelog**: [6.13.0...6.13.1](https://github.com/llaville/php-compatinfo-db/compare/6.13.0...6.13.1)

## 6.13.0 - 2024-11-23

### Added

- PHP 8.1.31 support
- PHP 8.2.26 support
- PHP 8.3.14 support
- PHP 8.4.1 support
- ability to customize generation of Doctrine Proxy Classes (values are `never`, `always` or `auto` by default to keep BC)
by config setting or env var (`APP_PROXY_GENERATE`)

### Changed

- update `http` reference to version 4.2.6
- update `rdkafka` reference to version 6.0.5
- update `xlswriter` reference to version 1.5.8

**Full Changelog**: [6.12.0...6.13.0](https://github.com/llaville/php-compatinfo-db/compare/6.12.0...6.13.0)

## 6.12.0 - 2024-10-29

### Added

- `db:show` command is now able to display deprecations on all components
- PHP 8.2.25 support
- PHP 8.3.13 support
- PHP 8.4.0 support (until RC3)

### Changed

- update `mailparse` reference to version 3.1.8
- update `oauth` reference to version 2.0.9
- update `oci8` reference to version 3.4.0
- update `rdkafka` reference to version 6.0.4
- update `redis` reference to version 6.1.0
- update `uuid` reference to version 1.2.1
- update `xdebug` reference to version 3.4.0beta1
- update `yaml` reference to version 2.2.4

**Full Changelog**: [6.11.1...6.12.0](https://github.com/llaville/php-compatinfo-db/compare/6.11.1...6.12.0)

## 6.11.1 - 2024-10-04

### Changed

- update `opentelemetry` reference to version 1.1.0 (stable)

### Fixed

- PHAR distribution was broken (reason is [issue](https://github.com/llaville/box-manifest/issues/13)
explained into BOX Manifest 4.0.0RC1).
Solved now, we use the final stable version [4.0.0](https://github.com/llaville/box-manifest/releases/tag/4.0.0)

**Full Changelog**: [6.11.0...6.11.1](https://github.com/llaville/php-compatinfo-db/compare/6.11.0...6.11.1)

## 6.11.0 - 2024-10-02

### Added

- PHP 8.1.30 support
- PHP 8.2.24 support
- PHP 8.3.12 support
- `mongodb` extension support
- `xpass` extension support

### Changed

- update `apcu` reference to version 5.1.24
- update `msgpack` reference to version 3.0.0
- update `opentelemetry` reference to version 1.1.0beta3
- update `xlswriter` reference to version 1.5.7
- update `zip` reference to version 1.22.4
- mongo extension is marked now as not supported (superseded by mongodb reference that is now available)

**Full Changelog**: [6.10.0...6.11.0](https://github.com/llaville/php-compatinfo-db/compare/6.10.0...6.11.0)

## 6.10.0 - 2024-09-01

### Added

- PHP 8.2.23 support
- PHP 8.3.11 support

### Changed

- update `xlswriter` reference to version 1.5.6

**Full Changelog**: [6.9.0...6.10.0](https://github.com/llaville/php-compatinfo-db/compare/6.9.0...6.10.0)

## 6.9.0 - 2024-08-17

### Added

- PHP 8.2.22 support
- PHP 8.3.10 support

### Changed

- update `ast` reference to version 1.1.2
- update `igbinary` reference to version 3.2.16

**Full Changelog**: [6.8.0...6.9.0](https://github.com/llaville/php-compatinfo-db/compare/6.8.0...6.9.0)

## 6.8.0 - 2024-07-16

### Added

- PHP 8.2.21 support
- PHP 8.3.9 support

### Changed

- update xhprof reference to version 2.3.10

### Fixed

- PHAR distribution was broken (reason is given by commit [5ff0030](https://github.com/llaville/php-compatinfo-db/commit/5ff0030f09e3d5159f250fd70b8b2c169596513e))

**Full Changelog**: [6.7.0...6.8.0](https://github.com/llaville/php-compatinfo-db/compare/6.7.0...6.8.0)

## 6.7.0 - 2024-06-14

### Added

- PHP 8.1.29 support
- PHP 8.2.20 support
- PHP 8.3.8 support

**Full Changelog**: [6.6.0...6.7.0](https://github.com/llaville/php-compatinfo-db/compare/6.6.0...6.7.0)

## 6.6.0 - 2024-05-13

### Added

- PHP 8.1.28 support
- PHP 8.2.19 support
- PHP 8.3.7 support

### Changed

- update opentelemetry reference to version 1.0.3
- update xdebug reference to version 3.3.2

**Full Changelog**: [6.5.0...6.6.0](https://github.com/llaville/php-compatinfo-db/compare/6.5.0...6.6.0)

## 6.5.0 - 2024-04-12

### Added

- PHP 8.2.18 support
- PHP 8.3.6 support

### Changed

- update opentelemetry reference to version 1.0.2

**Full Changelog**: [6.4.2...6.5.0](https://github.com/llaville/php-compatinfo-db/compare/6.4.2...6.5.0)

## 6.4.2 - 2024-03-19

Version 6.4.1 fixed an issue that resolved wrong PHP minimum requirement when elements (class, function, constant) are more than one version definition.
See explains with examples at <https://github.com/llaville/php-compatinfo/issues/372#issuecomment-2004904189>

### Fixed

- When Doctrine Collection filtered is empty, the `first` function return `false`. See commit [`a8b52e6`](https://github.com/llaville/php-compatinfo-db/commit/a8b52e62b4c8e42f2df88377e15d7e3a18c77b12)

**Full Changelog**: [6.4.1...6.4.2](https://github.com/llaville/php-compatinfo-db/compare/6.4.1...6.4.2)

## 6.4.1 - 2024-03-19

Fixed an issue that resolved wrong PHP minimum requirement when elements (class, function, constant) are more than one version definition.
See explains with examples at <https://github.com/llaville/php-compatinfo/issues/372#issuecomment-2004904189>

### Fixed

- [#372](https://github.com/llaville/php-compatinfo/issues/372) : `random_bytes` and `random_int` are detected as `random` extension functions and PHP 8.2 min version requirement

**Full Changelog**: [6.4.0...6.4.1](https://github.com/llaville/php-compatinfo-db/compare/6.4.0...6.4.1)

## 6.4.0 - 2024-03-17

### Added

- PHP 8.2.17 support
- PHP 8.3.4 support

**Full Changelog**: [6.3.0...6.4.0](https://github.com/llaville/php-compatinfo-db/compare/6.3.0...6.4.0)

## 6.3.0 - 2024-02-18

### Added

- PHP 8.2.16 support
- PHP 8.3.3 support

### Changed

- update amqp reference to version 2.1.2
- upgrade opentelemetry reference to version 1.0.2beta1
- update ssh2 reference to version 1.4.1

**Full Changelog**: [6.2.1...6.3.0](https://github.com/llaville/php-compatinfo-db/compare/6.2.1...6.3.0)

## 6.2.1 - 2024-02-08

### Changed

- [#137](https://github.com/llaville/php-compatinfo-db/issues/137) : Add support to `$_composer_autoload_path` global Composer variable
- [#138](https://github.com/llaville/php-compatinfo-db/issues/138) : Reduce size of PHAR version

### Fixed

- Dockerfile : be able to use all 6.2 versions family without to hardcode a composer constraint that will be wrong with greater releases (6.3 or next)
- [#139](https://github.com/llaville/php-compatinfo-db/issues/139) : Cannot convert to a GitHub Action
- `APP_CACHE_DIR` variable contents is not show on `diagnose` command

**Full Changelog**: [6.2.0...6.2.1](https://github.com/llaville/php-compatinfo-db/compare/6.2.0...6.2.1)

## 6.2.0 - 2024-01-22

### Added

- PHP 8.2.15 support
- PHP 8.3.2 support

### Changed

- Solr 2.7.0 with PHP 8.3 support

**Full Changelog**: [6.1.1...6.2.0](https://github.com/llaville/php-compatinfo-db/compare/6.1.1...6.2.0)

## 6.1.1 - 2023-12-30

### Fixed

- Link to documentation site on about command

**Full Changelog**: [6.1.0...6.1.1](https://github.com/llaville/php-compatinfo-db/compare/6.1.0...6.1.1)

## 6.1.0 - 2023-12-29

### Added

- PHP 8.1.27 support
- PHP 8.2.14 support
- PHP 8.3.1 support
- Introduces `db:new` command that combine `db:create` and `db:init` actions
- Introduces `Dockerfile` to build Docker distribution

### Changed

- update mcrypt reference to version 1.0.7
- mcrypt reference is now identified as no more supported

### Fixed

- usage of `Symfony\Component\Messenger\Exception\WrappedExceptionsTrait::getWrappedExceptions` calls
- description of `db:create` command

**Full Changelog**: [6.0.2...6.1.0](https://github.com/llaville/php-compatinfo-db/compare/6.0.2...6.1.0)

## 6.0.2 - 2023-12-18

No changes on application since version 6.0.1

### Fixed

- CI `release` workflow (missed BOX tool setup from matrix)

**Full Changelog**: [6.0.1...6.0.2](https://github.com/llaville/php-compatinfo-db/compare/6.0.1...6.0.2)

## 6.0.1 - 2023-12-18

### Changed

- update xdebug reference to version 3.3.1
- Do not include by default deprecated references in `db:list` output
- Enhance detection of outdated references on current platform

### Fixed

- print wrong link on about command output
- List of installed references

**Full Changelog**: [6.0.0...6.0.1](https://github.com/llaville/php-compatinfo-db/compare/6.0.0...6.0.1)

## 6.0.0 - 2023-12-06

### Changed

- Migrate Doctrine Annotations to PHP Attributes
- upgrade Symfony components constraint now new LTS is 6.4 (drop support to old LTS 5.4)
- upgrade xdebug reference to version 3.3.0
- update igbinary reference to version 3.2.15
- update zip reference to version 1.22.3
- [#136](https://github.com/llaville/php-compatinfo-db/issues/136) : Allow Symfony 7

### Removed

- drop support to PHP 8.0
- drop support to PHPUnit 9

### Fixed

- [#135](https://github.com/llaville/php-compatinfo-db/issues/135) : Better implementation of provider to get constants from extension

**Full Changelog**: [5.14.1...6.0.0](https://github.com/llaville/php-compatinfo-db/compare/5.14.1...6.0.0)
