<!-- markdownlint-disable MD013 MD024 -->
# Changes of versions 2.x

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).

## 2.1.1 - 2025-03-29

> [!WARNING]
>
> This version is the last one to support PHP 8.1 that will reach end of life at the end of this year.
>
> Next feature version 2.2.0 will only support PHP 8.2 or greater !

This is a maintenance release with no really major changes since previous version 2.1.0

### Removed

- `Bartlett\Sarif\Property\ArtifactContent` trait as it used zero times (thanks to PHPStan 2 to detect it)

**Full Changelog**: [2.1.0...2.1.1](https://github.com/llaville/sarif-php-sdk/compare/2.1.0...2.1.1)

## 2.1.0 - 2024-11-05

> [!NOTE]
>
> PHP minimum requirement is now version 8.1 (since latest release 2.0.1)

### Removed

- support to PHP 7.4 and PHP 8.0

**Full Changelog**: [2.0.1...2.1.0](https://github.com/llaville/sarif-php-sdk/compare/2.0.1...2.1.0)

## 2.0.1 - 2024-11-05

> [!WARNING]
>
> This version is the last one to support PHP 7.4 and PHP 8.0
>
> Next feature version 2.1.0 will only support PHP 8.1 or greater !

### Changed

- provides full support to PHP 8.4 (without deprecation messages)

**Full Changelog**: [2.0.0...2.0.1](https://github.com/llaville/sarif-php-sdk/compare/2.0.0...2.0.1)

## 2.0.0 - 2024-07-02

> [!IMPORTANT]
>
> This major release removed all converters that were introduced on versions 1.2.0 and 1.4.0
> You'll find them with a new architecture on future release 1.0.0 of new package `bartlett/sarif-php-converters`
> (repository: <https://github.com/llaville/sarif-php-converters>)

If you used this package since version 1.0.0, you won't be able to have BC breaks on standard API,
and fluent builders API.

Be aware that all `Definition` are now constructed without parameters. Look on setters, if you previously used any of them.

**Full Changelog**: [1.5.0...2.0.0](https://github.com/llaville/sarif-php-sdk/compare/1.5.0...2.0.0)
