<!-- markdownlint-disable MD013 -->
# edgeTraversal object

An `edgeTraversal` object represents the traversal of a single edge during a graph traversal.

=== ":simple-uml: Graph"

    ![edgeTraversal object](../assets/images/reference-edge-traversal.graphviz.svg)

=== ":octicons-file-code-16: sarif.json"

    > [!TIP]
    >
    > Generated with following command : `php ./resources/serialize.php graphTraversal docs/assets/sarif 192`

    ```json title="docs/assets/sarif/graphTraversal.json"
    --8<-- "docs/assets/sarif/graphTraversal.json"
    ```

=== ":simple-php: Simple API"

    ```php title="examples/graphTraversal.php"
    --8<-- "examples/graphTraversal.php"
    ```

=== ":simple-php: Fluent Builder API"

    > [!NOTE]
    > This alternative API is available since release 1.5.0

    ```php title="examples/builder/graphTraversal.php"
    --8<-- "examples/builder/graphTraversal.php"
    ```
